nn.pp.rccore

## Enum RCCore.PreferredConnectionType

- java.lang.Object
- - java.lang.Enum<RCCore.PreferredConnectionType>
  - - nn.pp.rccore.RCCore.PreferredConnectionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.PreferredConnectionType>
  Enclosing interface:
    RCCore

      public static enum RCCore.PreferredConnectionType
      extends java.lang.Enum<RCCore.PreferredConnectionType>

  The Preferred connection type

  This is only relevant for KX3. The KX3 may use different compression algorithms, e.g. for automatic encoding detection.

  See Also:
    `RCCore.getPreferredConnectionType()`, `RCCore.setPreferredConnectionType(RCCore.PreferredConnectionType)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TEXT` Prefer Text Readability
    `UNSPECIFIED` No connection type specified
    `VIDEO` Prefer Color Accuracy, e.g.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.PreferredConnectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.PreferredConnectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final RCCore.PreferredConnectionType UNSPECIFIED

      No connection type specified

    - #### TEXT

          public static final RCCore.PreferredConnectionType TEXT

      Prefer Text Readability

    - #### VIDEO

          public static final RCCore.PreferredConnectionType VIDEO

      Prefer Color Accuracy, e.g. for watching videos

  - ### Method Detail

    - #### values

          public static RCCore.PreferredConnectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.PreferredConnectionType c : RCCore.PreferredConnectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.PreferredConnectionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.